Page MenuHomePhabricator

Modify email footer to clarify that by responding one reveals their address to the original sender
Closed, ResolvedPublic

Description

Obviously, you reveal your email when you respond. However, with the changes enacted through T66795, the person who receives the email might be confused regarding "to whom" this would be revealed.

You receive an email from a wiki address (e.g. wiki@wikipedia.org) but by responding, you reveal your address to the user who requested the email to be sent, not to wiki@wikipedia.org. The concern was raised in T66795#2838671 and may not be a serious issue. Yet, adding a clarification is also harmless.

Event Timeline

Huji created this task.Dec 2 2016, 9:23 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 2 2016, 9:23 PM

Change 325040 had a related patch set uploaded (by Huji):
Email footer should state that by responding one reveals their address

https://gerrit.wikimedia.org/r/325040

native-api added a comment.EditedDec 2 2016, 10:04 PM

A non-issue as for me.

  • When you send an e-mail, you reveal your address to the recipient, everyone knows that.
  • And when you're composing a letter, you see the recipient's address in UI, so you know who you're revealing it to, everyone knows that, too.
  • Using Reply-To: to have a reply be sent to an address other that what the original letter came from is standard practice as well.

So, I don't see what problem this intends to solve.

Huji lowered the priority of this task from High to Low.Dec 2 2016, 10:16 PM
Huji updated the task description. (Show Details)
Huji updated the task description. (Show Details)

It is a very minor issue, I agree. But modifying the footer is also a very trivial thing to do. Better safe than sorry.

  • And when you're composing a letter, you see the recipient's address in UI, so you know who you're revealing it to, everyone knows that, too.

Yeah...you'd think that but:

(ugh, one of the reasons I don't use web gmail)

Anyways, I agree with Huji on this that it seems like a safe thing to do. I did remove it as a blocker however.

Gestrid updated the task description. (Show Details)Dec 2 2016, 10:43 PM

It also keeps the WMF out of possible legal trouble if, say, someone finds out a user's email address using this and starts harassing that user. It's basically a disclaimer warning the user replying, so the user can't then say they didn't know their email would be disclosed. That's probably at least part of the reason the original email system included the disclaimer.

Yeah...you'd think that but:

(ugh, one of the reasons I don't use web gmail)

By using a UI like that, you testify: "I don't care who my mail actually goes to."/"I (blindly) trust the sender & Google to have set up everything, don't bother me with such insignificant details."
Wikipedia isn't here to cover for deficiencies in 3rd-party software, is it. Which effectively duplicating a mail header elsewhere is.

That's probably at least part of the reason the original email system included the disclaimer.

It did? Why was it removed then?

That's probably at least part of the reason the original email system included the disclaimer.

It did? Why was it removed then?

It hasn't been yet. @Legoktm's patch in its current state would. Besides, I'm not a WMF employee, so I don't know why it was originally included. I was just giving my best guess.

It hasn't been yet. @Legoktm's patch in its current state would.

What are you referring to? I can't think of any of my patches that would do that.

Change 325040 merged by jenkins-bot:
Clarify in emailuserfooter that by responding one reveals their email address

https://gerrit.wikimedia.org/r/325040

Legoktm closed this task as Resolved.Dec 3 2016, 11:09 PM

@Legoktm why have you marked it as closed? I will be released 3 days aftes you marked it as resolved?

@Legoktm why have you marked it as closed? I will be released 3 days aftes you marked it as resolved?

Yes. See https://www.mediawiki.org/wiki/Bug_management/Bug_report_life_cycle. From there:

A report is given the Resolved status when a code change that fixes the reported problem has been merged in Gerrit. This does not mean that the fix is immediately available on a Wikimedia website as it can take up to two weeks.

@Legoktm - ok thanks. Thats mean we can be sure its work after "Verified" tag being added?

@Legoktm - ok thanks. Thats mean we can be sure its work after "Verified" tag being added?

The verified tag is optional, and I don't think most people use it. For this bug once it's deployed I can leave a comment here.

@Legoktm - ok - after you leave the comment here - I will test it on ru wiki. Cause I have problems with Emails.

Huji renamed this task from Modify email footer to clarify that by responding one reveals their address to Modify email footer to clarify that by responding one reveals their address to the original sender.Dec 4 2016, 4:11 PM
Huji removed a project: Patch-For-Review.